# Class RemoteStart

java.lang.Object
org.apache.jmeter.gui.action.AbstractAction
org.apache.jmeter.gui.action.RemoteStart

All Implemented Interfaces:
  `Command`

public class RemoteStart extends AbstractAction

## Constructor Summary

Constructors
Constructor
Description
`RemoteStart()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doAction(ActionEvent e)`
`Set<String>`
`getActionNames()`

### Methods inherited from class AbstractAction

`popupShouldSave`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RemoteStart

public RemoteStart()

## Method Details

### doAction

public void doAction(ActionEvent e)

Specified by:
  `doAction` in interface `Command`
Overrides:
  `doAction` in class `AbstractAction`
See Also:
  - `Command.doAction(ActionEvent)`

### getActionNames

public Set<String> getActionNames()

Specified by:
  `getActionNames` in interface `Command`
Specified by:
  `getActionNames` in class `AbstractAction`
See Also:
  - `Command.getActionNames()`